MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004603ATutorContentpublic2010-10-26 06:322010-12-20 10:19
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.1 
Target VersionFixed in Version2.0.1 
Summary0004603: Javascript error at course home page
DescriptionThe error says:

Syntax error: jQuery("#folder"+).show();\n

See the attached image for the detail.

The error happens when there's no folder node in the side menu "content navigation".
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Filesjpg file icon course_error1.JPG [^] (160,943 bytes) 2010-10-26 06:32

- Relationships

-  Notes
(0004757)
cindy (administrator)
2010-12-02 11:57

SVN revision: 10382

Solution: The error occurs when there is no content folder in the course but the script tries to open the first folder on side menu "content navigation". The fix is not to include this chunk of js when no content folder is detected.

Affected: include/ContentManager.class.php

Patch 01 includes this fix.

- Issue History
Date Modified Username Field Change
2010-10-26 06:32 cindy New Issue
2010-10-26 06:32 cindy File Added: course_error1.JPG
2010-10-26 06:32 cindy Affects version => SVN
2010-10-26 06:32 cindy Status new => assigned
2010-10-26 06:32 cindy Assigned To => cindy
2010-12-02 11:57 cindy Status assigned => resolved
2010-12-02 11:57 cindy Fixed in Version => 2.0.1
2010-12-02 11:57 cindy Resolution open => fixed
2010-12-02 11:57 cindy Note Added: 0004757
2010-12-20 10:19 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker